.l-header {
	position: relative;
	size: 100% var(--size-header-height);
	border-bottom: 1px solid var(--color-border-light);

	@nest .l-header--reversed & {
		background-color: var(--color-main);
		border-bottom-color: transparent;
	}

	@media (--mobile) {
		background-color: var(--color-main);
		border-bottom-color: #2485cb !important;
		height: var(--size-header-mobile-height);
	}
}

/* Logo */
.l-header-logo {
	position: absolute 50% * * 27px;
	margin-top: calc(28px / 2 * -1);
	color: var(--color-main);
	text-decoration: none;
	user-select: none;

	@nest .l-header--reversed & {
		color: #ffffff;
	}

	@media (--mobile) {
		color: #ffffff;
		left: 20px;
	}
}

.l-header-logo__name {
	font-family: var(--font-complemetary);
	text: 900 35px 28px -.7px nowrap;
}

.l-header-logo__caption {
	font-family: var(--font-complemetary);
	text: 800 uppercase 14px 14px;
	max-width: 76px;
	margin-left: 5px;
}

/* Search */
.l-header-search {
	@media (--tablet-only) {
		margin-right: var(--size-header-height);
	}

	@media (--mobile) {
		display: none;

		@nest .l-header-nav & {
			display: block;
			float: none;
			background-color: #ffffff;
			position: absolute 100% 0 * *;
			z-index: 1000;
			size: 100vw 70px;
			line-height: 70px;
			border-left: 0;
			border-bottom: 1px solid #2485cb;
			background-color: #2893e0;
			color: #ffffff;

			& svg {
				fill: #ffffff;
			}
		}
	}
}

.l-header-search__button {
	position: relative;
	cursor: pointer;
	size: var(--size-header-height);
	border-left: 1px solid var(--color-border-light);

	@nest .l-header--reversed & {
		border-left-color: #2485cb;
	}

	& svg {
		size: 22px;
		fill: var(--color-main);
		position: absolute 50% * * 50%;
		transform: translate(-50%, -50%);
		transition: fill .3s ease 0s;

		@nest .l-header--reversed & {
			fill: #ffffff;
		}
	}

	&:hover svg {fill: var(--color-dark);}

	@media (--mobile) {
		display: none;
	}
}

.l-header-search__input {
	size: calc(100% - 220px) 100%;
	position: absolute -100% * * 220px;
	border: 0;
	border-left: 1px solid var(--color-border-light);
	outline: 0;
	padding: 0 50px;
	margin: 0;
	display: block;
	text: #808080 21px 21px;

	@media (--mobile) {
		position: static;
		width: 100%;
		background-color: transparent;
		border: 0;
		color: #ffffff;
		padding: 0 20px;
		height: 100%;
	}
}

.l-header-search.active .l-header-search__input,
.l-header-search.active .l-header-search__close,
.l-header-search.active .l-header-search__submit {
	top: 0;
}

.l-header-search__close {
	size: var(--size-header-height);
	position: absolute -100% 0 * *;

	& svg {
		size: 22px;
		position: absolute 50% * * 50%;
		transform: translate(-50%, -50%);
		fill: var(--color-main);
		transition: fill .3s ease 0s;
	}

	&:hover svg {fill: var(--color-dark);}

	@media (--mobile) {
		display: none;
	}
}

.l-header-search__submit {
	size: 40px 100%;
	position: absolute -100% * * 220px;

	& svg {
		size: 22px;
		position: absolute 50% 0 * *;
		transform: translateY(-50%);
		fill: var(--color-main);
		transition: fill .3s ease 0s;
	}

	@media (--tablet-vertical-min) {
		&:hover svg {fill: var(--color-dark);}
	}

	@media (--mobile) {
		top: 0;
		left: auto;
		right: 0;
		width: 70px;

		& svg {
			right: 50%;
			transform: translate(50%, -50%);
		}
	}
}

/* Login */
.l-header-login {
	size: var(--size-header-height);
	border-left: 1px solid var(--color-border-light);
	line-height: var(--size-header-height);
	color: var(--color-main);
	text-decoration: none;
	text: 800 center 14px;

	@nest .l-header--reversed & {
		color: #ffffff;
		border-left-color: #2485cb;
	}

	@media (--mobile) {
		display: none;

		@nest .l-header-nav & {
			display: block;
			float: none;
			background-color: #ffffff;
			position: absolute 200% 0 * *;
			z-index: 1000;
			size: 100vw 70px;
			line-height: 70px;
			border-left: 0;
			border-bottom: 1px solid #2485cb;
			background-color: #2893e0;
			color: #ffffff;

			& svg {
				fill: #ffffff;
			}
		}
	}
}

/* Cart */
.l-header-cart {
	height: var(--size-header-height);
	border-left: 1px solid var(--color-border-light);
	padding: 0 20px;
	color: var(--color-poor);
	line-height: var(--size-header-height);
	text: center 14px;

	@nest .l-header--reversed & {
		color: #ffffff;
		border-left-color: #2485cb;
	}

	& svg {
		size: 22px 20px;
		margin-right: 3px;
		vertical-align: text-bottom;
		fill: var(--color-main);

		@nest .l-header--reversed & {
			fill: #ffffff;
		}
	}

	@media (--mobile) {
		display: none;

		@nest .l-header-nav & {
			display: block;
			float: none;
			background-color: #ffffff;
			position: absolute 300% 0 * *;
			z-index: 1000;
			size: 100vw 70px;
			line-height: 70px;
			border-left: 0;
			border-bottom: 1px solid #2485cb;
			background-color: #2893e0;
			color: #ffffff;

			& svg {
				fill: #ffffff;
			}
		}
	}
}

/* Nav */
.l-header-nav {
	& .l-header-cart,
	& .l-header-login,
	& .l-header-search {
		display: none;
	}

	@media (--tablet-horizontal-max) {
		position: absolute 0 0 * *;
		border-left: 1px solid var(--color-border-light);

		@nest .l-header--reversed & {
			border-left-color: #2485cb;
		}
	}

	@media (--mobile) {
		border-left-color: #2485cb;

		&.active .l-header-cart,
		&.active .l-header-login,
		&.active .l-header-search {
			display: block;
		}
	}
}

.l-header-nav__trigger {
	display: none;

	@media (--tablet-horizontal-max) {
		display: block;
		position: relative;
		size: var(--size-header-height);

		& svg {
			size: 22px;
			fill: var(--color-main);
			position: absolute 50% * * 50%;
			margin: calc(22px / 2 * -1) 0 0 calc(22px / 2 * -1);

			@nest .l-header--reversed & {
				fill: #ffffff;
			}
		}
	}

	@media (--mobile) {
		size: var(--size-header-mobile-height);

		& svg {
			fill: #ffffff;
		}
	}
}

.l-header-nav__list {
	overflow: hidden;
	list-style: none;
	padding: 0;
	margin: 0;

	@media (--tablet-horizontal-max) {
		position: absolute 100% 0 * *;
		background-color: #ffffff;
		z-index: 1000;
		width: 100vw;
		display: none;

		@nest .l-header-nav.active & {
			display: block;
		}
	}

	@media (--mobile) {
		background-color: #2893e0;
		top: 400%;
	}
}

.l-header-nav__item {
	margin-right: 19px;

	@media (--tablet-horizontal-max) {
		float: none;
		margin-right: 0;
		border-bottom: 1px solid var(--color-border-light);
	}

	@media (--mobile) {
		border-bottom: 1px solid #2485cb;
	}
}

.l-header-nav__link {
	text-decoration: none;
	color: var(--color-poor);
	height: var(--size-header-height);
	line-height: var(--size-header-height);
	font-size: 14px;
	transition: color .3s ease 0s;
	will-change: color;

	@nest .l-header--reversed & {
		color: #ffffff;

		@media (--tablet-horizontal-max) {
			color: var(--color-poor);
		}

		@media (--mobile) {
			color: #ffffff;
		}
	}

	@media (--tablet-horizontal-max) {
		padding: 0 20px;
		font-size: 18px;
	}

	@media (--mobile) {
		padding: 0 20px;
		height: 70px;
		line-height: 70px;
		color: #ffffff;
	}

	&:hover {
		color: var(--color-main);

		@nest .l-header--reversed & {
			color: var(--color-dark);
		}
	}
}
